Chaosforge Forum

  • August 18, 2017, 19:45
  • Welcome, Guest
Please login or register.



Login with username, password and session length
Pages: 1 ... 69 70 [71]

Author Topic: Quick questions thread!  (Read 119636 times)

arseface

  • Private
  • *
  • Offline Offline
  • Posts: 4
  • Lost Soul
    • View Profile
Re: Quick questions thread!
« Reply #1050 on: August 10, 2017, 11:16 »

I can't seem to get the github version working, and I need godmode for reasons. Been trying for the last hour or so to compile but I really have no idea what I'm doing.

Is there an easy way to compile this for windows, or a pre-compiled release download that includes godmode?
Logged

Tavana

  • Elder Chaos Guard
  • Brigadier General
  • *
  • *
  • Offline Offline
  • Posts: 642
    • View Profile
Re: Quick questions thread!
« Reply #1051 on: August 11, 2017, 16:59 »

What an excellent question, arseface. I'm not aware of any compiled versions of d**mrl that have Godmode left on, I seem to recall it was dependent on being run from within the compiler's software.

What will help the most to get you properly compiling is to know what software you're trying to use. My main mistakes the first time I tried to compile were that I didn't have the necessary dependencies to make it work - mostly .dll files which aren't too hard to find.
Logged
Common words do not mean common understanding. Language is mercurial. Meanings are never constant.

arseface

  • Private
  • *
  • Offline Offline
  • Posts: 4
  • Lost Soul
    • View Profile
Re: Quick questions thread!
« Reply #1052 on: August 11, 2017, 17:43 »

I basically just merged the valkyrie and doomrl master github folders and ran build on makewad in a vanilla lazarus.

In seeing that I'm probably missing some libraries, I realized that I hadn't put the \libs\ folder from FPC Valkyrie into the src folder for the project. Now makewad compiles, but I can't run it because I'm missing lua5.1.dll, which google is giving me a bunch of shady sites for.
Logged

Tavana

  • Elder Chaos Guard
  • Brigadier General
  • *
  • *
  • Offline Offline
  • Posts: 642
    • View Profile
Re: Quick questions thread!
« Reply #1053 on: August 13, 2017, 16:42 »

Glad to hear you've gotten closer! I would check the compiled release of d**mrl. I think the DLL you're looking for is there.
Logged
Common words do not mean common understanding. Language is mercurial. Meanings are never constant.

arseface

  • Private
  • *
  • Offline Offline
  • Posts: 4
  • Lost Soul
    • View Profile
Re: Quick questions thread!
« Reply #1054 on: August 13, 2017, 17:19 »

I copied it over and I'm still getting

Code: [Select]
An unhandled exception occurred at $0000000100046C3D :
ELibraryError : Can't load library "lua5.1.dll"
  $0000000100046C3D line 65 of vlibrary.pas
  $000000010003791C line 391 of vlualibrary.pas
  $0000000100038731 line 651 of vlualibrary.pas
  $000000010002F308 line 110 of vpkg.pas
  $000000010002FD51 line 206 of vpkg.pas
  $000000010002FE6A line 216 of vpkg.pas
  $000000010000197A line 23 of makewad.pas
  $0000000100001C06
  $0000000100012833
  $0000000100013331
  $00007FF82A772774
  $00007FF82BAF0D51

I copied over every .dll from the compiled release just in case, and it's still a no go.

I tried running the DoomRL.exe compiling gave me with the .wads from the compiled release, and it's giving me an Access Violation error.
Logged

yaflhdztioxo

  • Programmer
  • Elder Chaos Guard
  • Captain
  • *
  • *
  • Offline Offline
  • Posts: 298
  • Lost Sole
    • View Profile
Re: Quick questions thread!
« Reply #1055 on: August 14, 2017, 15:58 »

Looks like you're using the 64 bit Lazarus and thus compiling a 64 bit program.  You'll need to use the 32 bit version.

Rather than try being clever about it, I'd recommend nuking your 64 bit setup from orbit and starting over again from scratch with only 32 bit lazarus installed.
Logged

arseface

  • Private
  • *
  • Offline Offline
  • Posts: 4
  • Lost Soul
    • View Profile
Re: Quick questions thread!
« Reply #1056 on: August 14, 2017, 18:14 »

Looks like you're using the 64 bit Lazarus and thus compiling a 64 bit program.  You'll need to use the 32 bit version.

Rather than try being clever about it, I'd recommend nuking your 64 bit setup from orbit and starting over again from scratch with only 32 bit lazarus installed.
It worked!!! Thanks so much.

Time to record some maps.
Logged
Pages: 1 ... 69 70 [71]